gnome-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.HBox An application status and progress widget. An widget sits (usually) at the bottom of an application window and contains a (for indicating time consuming tasks and their completion status) and/or a for sending short one-line message to the user. It is also possible (in theory) for the user to edit the contents of the status bar, should the application developer choose to allow that. However, note that this is not really working in the present implementation, so developers are recommended to avoid using interactive s and use proper editable widgets instead.
- Constructor
  2.24.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.24.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.24.0.0
  an object of type
  an object of type
  an object of type
  Creates a new instance.
- Method
  2.24.0.0
  System.Void Remove any prompt from the .
- Method
  2.24.0.0
  System.Void Remove all status messages from , and display default status message (if present).
- Property
  2.24.0.0
  System.String What to show when showing nothing else is on the stack; defaults to the empty string. an object of type
- Property
  2.24.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.24.0.0
  GLib.Property("has_progress")
  System.Boolean Whether or not the contains a . an object of type
- Property
  2.24.0.0
  GLib.Property("has_status")
  System.Boolean Whether or not the contains a . an object of type
- Property
  2.24.0.0
  GLib.Property("interactivity")
  Gnome.PreferencesType Whether or not the user can edit the text in the portion of a instance. an object of type
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverridePromptCleared", Type=typeof(Gnome.AppBar))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideUserResponse", Type=typeof(Gnome.AppBar))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  System.Void Remove current status message, and display previous status message, if any. It is fine to call this with an empty stack.
- Property
  2.24.0.0
  Gtk.ProgressBar Retrieves the widget for further manipulation. an object of type
- Property
  2.24.0.0
  System.Single Sets progress bar to . an object of type
- Event
  2.24.0.0
  GLib.Signal("clear_prompt")
  System.EventHandler Emitted when the prompt is cleared.
- Method
  2.24.0.0
  System.Void `` an object of type Push a new status message onto the stack and display it.
- Method
  2.24.0.0
  System.Void Refresh the by redrawing the item on the top of the stack, or the default value if the stack is empty. Useful to force the message from a previous call to to disappear.
- Property
  2.24.0.0
  System.String Get the response to the prompt, if any. an object of type
- Method
  2.24.0.0
  System.Void `` `` an object of type an object of type Put a prompt in the appbar and wait for a response. When the user responds or cancels, a signal is emitted.
- Method
  2.24.0.0
  System.Void `` an object of type To be added To be added
- Property
  2.24.0.0
  Gtk.Widget Retrieves the widget. an object of type
- Event
  2.24.0.0
  GLib.Signal("user_response")
  System.EventHandler Emitted when the user responds to an that is interactive.